#if !defined(__CMP_Pub_h__)
#define __CMP_Pub_h__
 
#include "CPA_Expt.h"
 
/**** Existing compressor ****/
#define D_CMP_LZSS 1
#define D_CMP_DIFF 2
 
extern CPA_EXPORT	void CMP_fn_vFirstInit(void);
extern CPA_EXPORT	void CMP_fn_vCompressFile(char *_szFileName,unsigned char _ucCompressMethod);
extern CPA_EXPORT	void CMP_fn_vCompressFileIn(char *_szInputFileName,char *_szOutputFileName,unsigned char _ucCompressMethod);
 
extern CPA_EXPORT	unsigned char CMP_fn_bExpandFile(char *_szFileName,unsigned char _ucCompressMethod);
extern CPA_EXPORT	unsigned char CMP_fn_bExpandFileIn(char *_szInputFileName,char *_szOutputFileName,unsigned char _ucCompressMethod);
 
#endif /* __CMP_Pub_h__ */
